package com.aucma.base.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.aucma.common.annotation.Excel;
import com.aucma.common.core.domain.BaseEntity;

/**
 * 货道信息对象 base_spaceinfo
 *
 * @author Yinq
 * @date 2023-09-20
 */
public class BaseSpaceInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键标识
     */
    private Long objId;

    /**
     * 货道编号
     */
    @Excel(name = "货道编号")
    private String spaceCode;

    /**
     * 货道名称
     */
    @Excel(name = "货道名称")
    private String spaceName;

    /**
     * 货道容量
     */
    @Excel(name = "货道容量")
    private Long spaceCapacity;

    /**
     * 货道库存
     */
    @Excel(name = "货道库存")
    private Long spaceStock;

    /**
     * 货道状态
     */
    @Excel(name = "货道状态")
    private Long spaceStatus;

    /**
     * 货道类型
     */
    @Excel(name = "货道类型")
    private Long spaceType;

    /**
     * 所属仓库编号
     */
    @Excel(name = "所属仓库编号")
    private String storeCode;

    /**
     * 所属仓库
     */
    @Excel(name = "所属仓库名称")
    private String storeName;

    /**
     * 物料类型
     */
    @Excel(name = "物料类型")
    private String materialType;


    /**
     * 是否标识
     */
    @Excel(name = "是否标识")
    private Long isFlag;

    /**
     * 创建人
     */
    @Excel(name = "创建人")
    private String createdBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createdTime;

    /**
     * 更新人
     */
    @Excel(name = "更新人")
    private String updatedBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date updatedTime;

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getMaterialType() {
        return materialType;
    }

    public void setMaterialType(String materialType) {
        this.materialType = materialType;
    }

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public Long getObjId() {
        return objId;
    }

    public void setSpaceCode(String spaceCode) {
        this.spaceCode = spaceCode;
    }

    public String getSpaceCode() {
        return spaceCode;
    }

    public void setSpaceName(String spaceName) {
        this.spaceName = spaceName;
    }

    public String getSpaceName() {
        return spaceName;
    }

    public void setSpaceCapacity(Long spaceCapacity) {
        this.spaceCapacity = spaceCapacity;
    }

    public Long getSpaceCapacity() {
        return spaceCapacity;
    }

    public void setSpaceStock(Long spaceStock) {
        this.spaceStock = spaceStock;
    }

    public Long getSpaceStock() {
        return spaceStock;
    }

    public void setSpaceStatus(Long spaceStatus) {
        this.spaceStatus = spaceStatus;
    }

    public Long getSpaceStatus() {
        return spaceStatus;
    }

    public void setSpaceType(Long spaceType) {
        this.spaceType = spaceType;
    }

    public Long getSpaceType() {
        return spaceType;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setIsFlag(Long isFlag) {
        this.isFlag = isFlag;
    }

    public Long getIsFlag() {
        return isFlag;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }


    @Override
    public String toString() {
        return "BaseSpaceInfo{" +
                "objId=" + objId +
                ", spaceCode='" + spaceCode + '\'' +
                ", spaceName='" + spaceName + '\'' +
                ", spaceCapacity=" + spaceCapacity +
                ", spaceStock=" + spaceStock +
                ", spaceStatus=" + spaceStatus +
                ", spaceType=" + spaceType +
                ", storeCode='" + storeCode + '\'' +
                ", storeName='" + storeName + '\'' +
                ", materialType='" + materialType + '\'' +
                ", isFlag=" + isFlag +
                ", createdBy='" + createdBy + '\'' +
                ", createdTime=" + createdTime +
                ", updatedBy='" + updatedBy + '\'' +
                ", updatedTime=" + updatedTime +
                '}';
    }
}
